//==============================================================================
//    im_cookbook_119859
//==============================================================================
// 登録
function regist(formaParam, sendParam) {
    Debug.print("************** postprocess im_cookbook_119859 regist ****************");

    // 対象の画面アイテム「ファイルアップロード」アイテム識別IDを指定
    var uploadItemId = 'attach_fileupload_item1';
    // 案件に紐付くファイル情報を取得
    var manager = new FormaFileUploadItemManager(formaParam.applicationId);
    var fileInfo = manager.getFilesInfo(formaParam.insertId, formaParam.processKey);

    // 添付ファイルが無い場合は、処理を行わない
    if (fileInfo.data[uploadItemId].length == 0) {
    	return {"error" : false};
    }

    // 添付ファイルごとに削除処理を行う
    for(var i =0; i<fileInfo.data[uploadItemId].length; i++){
        var file_id = fileInfo.data[uploadItemId][i].file_id;
        var result = manager.deleteFile(formaParam.insertId, uploadItemId, file_id, formaParam.processKey);
    }
    
    return {"error" : false};
}

// 更新
function update(formaParam, sendParam) {
    return {"error" : false};
}

// 削除
function remove(formaParam) {
    return {"error" : false};
}

// 一時保存
function preserve(formaParam, sendParam) {
    Debug.print("************** postprocess im_cookbook_119859 preserve ****************");

    // 対象の画面アイテム「ファイルアップロード」アイテム識別IDを指定
    var uploadItemId = 'attach_fileupload_item1';
    // 案件に紐付くファイル情報を取得
    var manager = new FormaFileUploadItemManager(formaParam.applicationId);
    var fileInfo = manager.getFilesInfo(formaParam.insertId, formaParam.processKey);

    // 添付ファイルが無い場合は、処理を行わない
    if (fileInfo.data[uploadItemId].length == 0) {
    	return {"error" : false};
    }

    // 添付ファイルごとに削除処理を行う
    for(var i =0; i<fileInfo.data[uploadItemId].length; i++){
        var file_id = fileInfo.data[uploadItemId][i].file_id;
        var result = manager.deleteFile(formaParam.insertId, uploadItemId, file_id, formaParam.processKey);
    }
    
    return {"error" : false};
}